--
-- Tests -- examples from Tutorial - Chapter 5
-- Arrays
--

-- Create Table (5.1)
CREATE TABLE cities (
   name			text,
   population		real,
   altitude		int		-- (in ft)
);

CREATE TABLE capitals (
   state		char(2)
) INHERITS (cities);

INSERT INTO cities VALUES ('Las Vegas', 100000, 2174);
INSERT INTO cities VALUES ('Mariposa', 150000, 1953);
INSERT INTO capitals VALUES ('New York', 1000000, 345, 'NY');
INSERT INTO capitals VALUES ('Madison', 700000, 845, 'MA');

SELECT name, altitude FROM cities WHERE altitude > 500;

SELECT name, altitude FROM ONLY cities WHERE altitude > 500;

DROP TABLE cities CASCADE;
DROP TABLE capitals;
DROP TABLE cities;

-- Create Table (5.2.1)
CREATE TABLE SAL_EMP (
   name			text,
   pay_by_quarter	integer[],
   schedule		text[][]
);

INSERT INTO SAL_EMP
   VALUES ('Bill',
   '{10000, 10000, 10000, 10000}',
   '{{"meeting", "lunch"}, {}}');

INSERT INTO SAL_EMP
   VALUES ('Carol',
   '{20000, 25000, 25000, 25000}',
   '{{"talk", "consult"}, {"meeting"}}');

SELECT name
   FROM SAL_EMP
   WHERE SAL_EMP.pay_by_quarter[1] <>
   SAL_EMP.pay_by_quarter[2];

SELECT SAL_EMP.pay_by_quarter[3] FROM SAL_EMP;

SELECT SAL_EMP.schedule[1:2][1:1] FROM SAL_EMP
   WHERE SAL_EMP.name = 'Bill';

-- Drop Table
DROP TABLE SAL_EMP;
